@import "../../vars";

.root {
  position: relative;
}

.input {
  position: absolute;
  opacity: 0;
  height: 0;
  width: 0;

  /* Highlight the borders if the checkbox is hovered, focused or checked */
  &:hover + label .box,
  &:focus + label .box,
  &:checked + label .box {
    stroke: $marketplaceColor;
  }

  /* successColor version */
  &:hover + label .boxSuccess,
  &:focus + label .boxSuccess,
  &:checked + label .boxSuccess {
    stroke: $successColor;
  }

  /* Display the "check" when checked */
  &:checked + label .checked {
    display: inline;
    stroke: $marketplaceColor;
    stroke-width: 1px;
  }

  /* Display the "check" when checked */
  &:checked + label .checkedSuccess {
    display: inline;
    stroke: $successColor;
    stroke-width: 1px;
  }

  /* Hightlight the text on checked, hover and focus */
  &:focus + label .text,
  &:hover + label .text,
  &:checked + label .text {
    color: $matterColorDark;
  }
}

.label {
  display: flex;
  align-items: center;
  padding: 0;
}

.checkboxWrapper {
  margin-right: 12px;
  display: inline-flex;
  align-items: flex-start;
  cursor: pointer;
}

.checked {
  display: none;
  fill: $marketplaceColor;
}

.checkedSuccess {
  display: none;
  fill: $successColor;
}

.boxSuccess,
.box {
  stroke: $matterColorAnti;
}

.textRoot {
  /* @apply --marketplaceListingAttributeFontStyles; */
  font-size: 18px;
  line-height: 32px;
  user-select: none;
  color: $matterColor;
  cursor: pointer;
}
